package com.pj.api.filter;

import com.auth0.jwt.JWT;
import com.auth0.jwt.JWTVerifier;
import com.auth0.jwt.algorithms.Algorithm;
import com.auth0.jwt.exceptions.JWTDecodeException;
import com.auth0.jwt.interfaces.DecodedJWT;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class ApiJwtHelper {
    static final String SECRET = "level-one-api-Token";
    static final String ISSUSER = "LEVEL-ONE";
    static final String SUBJECT = "api token";
    static final String AUDIENCE = "FJSFDSufdsk43267sdksdfhks";


    public static String createUserToken(Long userId, String name, String type) {
        try {
            Algorithm algorithm = Algorithm.HMAC256(SECRET);
            Map<String, Object> map = new HashMap<String, Object>();
            Date nowDate = new Date();
            map.put("alg", "HS256");
            map.put("typ", "JWT");
            return JWT.create()
                    // 设置头部信息 Header
                    .withHeader(map)
                    // 设置 载荷 Payload
                    .withClaim("id", userId)
                    .withClaim("name", name)
                    .withClaim("type", type)
                    .withIssuer(ISSUSER)
                    .withSubject(SUBJECT)
                    .withAudience(AUDIENCE)
                    // 生成签名的时间
                    .withIssuedAt(nowDate)
                    // 签名 Signature
                    .sign(algorithm);
        } catch (Exception exception) {
            exception.printStackTrace();
        }
        return null;
    }

    public static Long getUserId(String token) {
        try {
            DecodedJWT jwt = JWT.decode(token);
            return jwt.getClaim("id").asLong();
        } catch (JWTDecodeException e) {
            return 0L;
        }
    }

    public static String getName(String token) {
        try {
            DecodedJWT jwt = JWT.decode(token);
            return jwt.getClaim("name").asString();
        } catch (JWTDecodeException e) {
            return null;
        }
    }

    public static String getUserType(String token) {
        try {
            DecodedJWT jwt = JWT.decode(token);
            return jwt.getClaim("type").asString();
        } catch (JWTDecodeException e) {
            return "";
        }
    }

    public static boolean verify(String token, Long userId, String name, String type) {
        try {
            Algorithm algorithm = Algorithm.HMAC256(SECRET);
            JWTVerifier verifier = JWT.require(algorithm)
                    .withClaim("id", userId)
                    .withClaim("name", name)
                    .withClaim("type", type)
                    .build();
            verifier.verify(token);
            return true;
        } catch (Exception exception) {
            return false;
        }
    }
}
