package com.pj.api.open.service;

import cn.hutool.core.util.NumberUtil;
import com.pj.api.open.ResultJson;
import com.pj.api.open.bo.CheckCarNumberBO;
import com.pj.current.config.PartConfig;
import com.pj.project.tb_business.TbBusiness;
import com.pj.project.tb_business.TbBusinessService;
import com.pj.project.tb_costomer.TbCostomer;
import com.pj.project.tb_costomer.TbCostomerService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.time.ZoneId;
import java.time.temporal.ChronoUnit;
import java.util.Date;

@Service
@Transactional
public class OpenService {
    @Resource
    private TbBusinessService tbBusinessService;
    @Resource
    private TbCostomerService tbCostomerService;

    @Resource
    private PartConfig partConfig;

    public ResultJson checkCarNumber(CheckCarNumberBO checkCarNumberBO) {
        String carNo=checkCarNumberBO.getCarNumber();
       TbBusiness tbBusiness= tbBusinessService.findCarTheNewRecord(carNo);
       if (tbBusiness==null||tbBusiness.getOutDayTime()!=null){
           return ResultJson.error("无业务登记记录");
       }
        if (tbBusiness.getConfirmInput()==0){
            return ResultJson.error("业务订单未确认，请先确认");
        }
      int inOrOut= checkCarNumberBO.getInOrOut();
       if (inOrOut==1){
           if (tbBusiness.getRealInDay()==null){
               //入场
               tbBusiness.setRealInTime(new Date()).setInChannel(checkCarNumberBO.getChannelName());
               tbBusinessService.updateById(tbBusiness);
               return ResultJson.success();
           }else {
               return ResultJson.error("车辆已入场");
           }
       }else{
           if (tbBusiness.getOutDayTime()==null){
              TbCostomer tbCostomer= tbCostomerService.getById(tbBusiness.getCustomerId());
              handlerOut(tbBusiness,checkCarNumberBO);
              if (tbCostomer.getPayType()==2){
                  return ResultJson.success();
              }else {
                  if (tbBusiness.getPayStatus() != 3) {
                      return ResultJson.error("车辆未缴费");
                  }
              }
               return ResultJson.success();
           }else {
               return ResultJson.error("车辆已离场");
           }
       }

    }

    private void handlerOut(TbBusiness tbBusiness, CheckCarNumberBO checkCarNumberBO) {
        LocalDateTime inTime=  tbBusiness.getRealInTime().toInstant().atZone(ZoneId.systemDefault()).toLocalDateTime();
       LocalDateTime outTime=LocalDateTime.now();
       LocalDateTime zero=LocalDateTime.of(LocalDate.now(), LocalTime.of(0,0,0));
       long days= ChronoUnit.DAYS.between(inTime,outTime);
        BigDecimal basePrice=partConfig.getBasePrice();
        BigDecimal extraPirce=partConfig.getExtraPrice();
       BigDecimal price= basePrice.add(basePrice.multiply(new BigDecimal(days)));
        if (outTime.isBefore(partConfig.getNightEnd())&&outTime.isAfter(zero)){
            price=  price.add(extraPirce);
        }
        tbBusiness.setPartMoney(price);
       long minutes= ChronoUnit.MINUTES.between(inTime,outTime);
       if (minutes<=partConfig.getFreeMinutes()){
           tbBusiness.setPartMoney(new BigDecimal(0));
       }
       tbBusiness.setPartTime(minutes).setOutDayTime(new Date()).setOutChannel(checkCarNumberBO.getChannelName());
       tbBusinessService.updateById(tbBusiness);
    }
}
