package com.pj.constants;

import com.pj.current.satoken.AuthConst;
import com.pj.project.tb_business.TbBusiness;
import com.pj.project.tb_costomer.TbCostomer;
import lombok.AllArgsConstructor;
import lombok.Getter;
import org.apache.ibatis.annotations.Param;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;


@Getter
@AllArgsConstructor
public enum RoleEnum {
    INPUT_ROLE("input","业务录入",
            Arrays.asList(AuthConst.ADMIN_LIST, TbCostomer.PERMISSION_CODE, TbCostomer.PERMISSION_INFO,TbBusiness.PERMISSION_CODE,TbBusiness.PERMISSION_INPUT)),
    CONFIRM_ROLE("confirm","业务确认",
            Arrays.asList(AuthConst.ADMIN_LIST,TbCostomer.PERMISSION_CODE,TbCostomer.PERMISSION_INFO,TbBusiness.PERMISSION_CODE,TbBusiness.PERMISSION_CONFIRM)),
    PAY_ROLE("pay","业务支付",
            Arrays.asList(AuthConst.ADMIN_LIST,TbCostomer.PERMISSION_CODE,TbCostomer.PERMISSION_INFO,TbBusiness.PERMISSION_CODE,TbBusiness.PERMISSION_PAY)),
    ADMIN_ROLE("admin","管理员", Collections.emptyList()),
    SUPER_ROLE("super","超级管理员", Collections.emptyList());
    private String type;
    private String name;
    private List<String>perCode;

    public static List<RoleEnum>getCustomerInitRoleList(){
        return Arrays.asList(INPUT_ROLE,CONFIRM_ROLE, PAY_ROLE);
    }
}
