package com.pj.project.tb_car;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_car -- 
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbCar.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbCar extends Model<TbCar> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_car";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-car";	


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	private String id;

	/**
	 * 名称 
	 */
	private String cardNo;	

	/**
	 * 规格 
	 */
	private String cardSize;	

	/**
	 * 最后一次运输商品 
	 */
	private String lastGoodsName;	

	/**
	 * 最后一次运输商品编号 
	 */
	private String lastGoodsCode;	

	/**
	 * 最后一次载重 
	 */
	private Double lastNetWeight;	

	/**
	 * 最后一次入境时间 
	 */
	private Date lastInTime;

	/**
	 * 最后一次出境时间 
	 */
	private Date lastOutTime;

	/**
	 * 当前状态(1=境外,2=境内) 
	 */
	private int status;





	


}
