package com.pj.project.tb_costomer;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_costomer -- 客户管理
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbCostomer.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbCostomer extends Model<TbCostomer> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_costomer";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-costomer";
	public static final String PERMISSION_INFO = "tb-costomer-maintain";

	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	private String id;

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 * 联系号码 
	 */
	private String phone;	

	/**
	 * 负责人 
	 */
	private String dutyPeople;	

	/**
	 * 地址id 
	 */
	private String addressIds;	

	/**
	 * 地址 
	 */
	private String addressStr;	

	/**
	 * 营业执照 
	 */
	private String businessLicence;	

	/**
	 * 状态(0=否,1=是) 
	 */
	private String status;	

	/**
	 * 创建时间 
	 */
	private Date creareTime=null;

	/**
	 * 审核状态(1=未审核,2审核通过,3审核不通过) 
	 */
	private Integer judgeStatus;

	/**
	 * 审核时间 
	 */
	private Date judgeTime=null;

	/**
	 * 审核意见 
	 */
	private String judgeContent;
	/**
	 * 结账方式（1=现结,2=月结）[j]
	 */
	private int payType;





	


}
