package com.pj.project.tb_item_type;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.pj.project.tb_item.TbItem;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_item_type -- 业务项类型
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbItemType.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbItemType extends Model<TbItemType> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_item_type";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-item-type";	


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	private String id;

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 * 是否必须(0=否,1=是) 
	 */
	private int need;
	private String code;
	@TableField(exist = false)
	private List<TbItem>items=new ArrayList<>();

	@TableField(exist = false)
	private String itemId;
	@TableField(exist = false)
	private Integer num=0;





	


}
