package com.pj.project4sp.admin;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.Data;

/**
 * Model: 系统管理员表
 * @author kong
 */
@Data
public class SpAdmin implements Serializable  {

	private static final long serialVersionUID = 1L;


	/** id，--主键、自增 */
	private Long id;
	private String customerId;
	
	/** admin名称 */
	private String name;
	
	/** 头像地址 */
	private String avatar;
	
	/** 密码 */
	private String password;
	
	/** 明文密码 */
	private String pw;
	
	/** 手机号 */
	private String phone;
	
	/** 所属角色id */
	private String roleId;

	/** 账号状态(1=正常, 2=禁用) */
	private Integer status;
	
	/** 创建自哪个管理员 */
	private Long createByAid;
	
	/** 创建时间 */
	private Date createTime;
	
	/** 上次登陆时间 */
	private Date loginTime;
	
	/** 上次登陆IP */
	private String loginIp;
	
	/** 登陆次数 */
	private Integer loginCount;
	
	
	// -------- 额外字段 
	
	/** 所属角色名称   */
	private String roleName;	


	/** 防止密码被传递到前台  */
    public String getPassword(){
    	return "********";
    }
    /** 获取真实密码   */
    @JsonIgnore()
    public String getPassword2(){
    	return this.password;
    }
	
}
